using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("TransactionNotary")]
    public class TransactionNotary
    {
        [Column("TransactionNotaryID")]
        public int TransactionNotaryID { get; set; }

        [Column("TransactionID")]
        public int TransactionID { get; set; }

        [Column("DocNumber")]
        public string? DocNumber { get; set; }

        [Column("BookNumber")]
        public string? BookNumber { get; set; }

        [Column("PageNumber")]
        public string? PageNumber { get; set; }

        [Column("Series")]
        public string? Series { get; set; }

        [Column("SignedOn")]
        public DateTime? SignedOn { get; set; }

        [Column("Remarks")]
        public string? Remarks { get; set; }

        [Column("LawyerID")]
        public int LawyerID { get; set; }

        [Column("CertificateType")]
        public string? CertificateType { get; set; }

        [Column("TemplateID")]
        public int? TemplateID { get; set; }

        [Column("PageCount")]
        public int? PageCount { get; set; }

        [Column("TransactionNotary_UID")]
        public Guid? TransactionNotary_UID { get; set; }
    }
}